<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/*
 * Make sure we are not directly invoked
 */
if(!defined("INDEX"))
	die();

/*
 * Include the required classes
 */
include_once("include/Util.class.php");

/*
 * ComboBox - a class used to abstract HTML <select> tags
 */
class ComboBox {
	/*
	 * createFromArray - output an HTML <select> tag given a multidimensional array as input.
	 */
	public static function createFromArray($name, $selectedId, $inputArray, $emptyField = false, $width = "250px") {
	
		$comboBox = "<select name=\"$name\" onChange=\"submit()\" style=\"width: $width;\">\n";
		/*
		 * Read out all arrays inside $array, and make sure no associative keys are in the array.
		 */	
		$multiArray = Util::arrayFilterKeys($inputArray);
		/*
		 * If we need to put an empty field in this ComboBox too, do it
		 */
		if($emptyField)
			$comboBox .= "<option value=\"\"></option>\n";
		/*
		 * For each array inside $multiArray, output a <option> tag.
		 * Also, make sure there are no associative keys in the array.
		 */
		for($i = 0; $i < count($multiArray); $i++) {
		
			$option = Util::arrayFilterKeys($multiArray[$i]);

			$comboBox .= "<option value=\"" . Util::makeFormSafe($option[0]) . "\"";
			/*
			 * If id from $multiArray[$i] (the first field) is equal to $selectedId, make it the selected value
			 */
			if($option[0] == $selectedId)
				$comboBox .= " selected=\"selected\"";
				
			$comboBox .= ">";
					
			/*
			 * Output the rest of the fields in $array[$i]
			 */
			for($j = 1; $j < (count($option)); $j++)
				$comboBox .= Util::makeFormSafe($option[$j]) . " ";
				
			$comboBox .= "</option>\n";
			
		}
		return $comboBox . "</select>\n";
	}
}
?>
