<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/*
 * Make sure we are not directly invoked
 */
if(!defined("INDEX"))
	die();

/*
 * Include the Output class to report errors
 */
include_once("include/Output.class.php");
include_once("include/config.php");

/*
 * Database - a class used to abstract connections and queries to a MySQL database
 */
class Database {
	/*
	 * connect - Attempt to open a database connection, and select the correct database
	 */
	public static function connect() {
	
		global $mysql_host, $mysql_db, $mysql_user, $mysql_pass;
	
		if(!@mysql_connect($mysql_host, $mysql_user, $mysql_pass)) {
			Output::htmlError("Failed to connect to the MySQL database: " . mysql_error());
			return false;
		}
		if(!@mysql_select_db($mysql_db)) {
			Output::htmlError("Failed to select database '" . $mysql_db . "': " . mysql_error());
			return false;
		} else
			return true;
	}

	/*
	 * query - Attempt to execute an SQL query on the MySQL database
	 */
	public static function query($sql, $outputErrors = true) {
		if(!($result = @mysql_query($sql))) {
			if($outputErrors) {
				Output::htmlError("Failed to execute query in MySQL database: " . mysql_error() . "<br><br>Query:<br>" . $sql);
			}
			return false;
		} else {
			return $result;
		}
	}
	
	/*
	 * queryToArray - Attempt to execute an SQL query on the MySQL database, and return the results in an array
	 */
	public static function queryToArray($sql, $multiArray = false) {

		$array = array();
		$num = 0;

		if(!($result = @mysql_query($sql))) {
			Output::htmlError("Failed to execute query in MySQL database: " . mysql_error());
		} else {
			/*
			 * If there are more than 1 rows or $multiArray is set, create a multidimensional array
			 */
			if(mysql_num_rows($result) > 1 || $multiArray) {
				while($row = mysql_fetch_array($result)) {
					$array[$num++] = $row;
				}
			} else {
				$array = mysql_fetch_array($result);
			}
			return $array;
		}
	}
	
	/*
	 * resultToArray - converts a mysql result variable to an (multidimensional) array
	 */
	public static function resultToArray($result, $columnIndex = false) {
	
		$array = array();
		$num   = 0;
		mysql_data_seek($result, 0);
		
		while($row = mysql_fetch_array($result)) {
			/* if columnIndex is set, just add the value of $row[$columnIndex] to $array */
			if($columnIndex !== false)
				$array[$num++] = $row[$columnIndex];
			/* otherwise add $row as a whole to $array (multidimensional) */
			else
				$array[$num++] = $row;
		}
		return $array;
	}
}
?>
