<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/*
 * Make sure we are not directly invoked
 */
if(!defined("INDEX"))
	die();

/*
 * We need the Table and MenuItem class
 */
include_once("include/Table.class.php");
include_once("include/MenuItem.class.php");
include_once("include/ComboBox.class.php");

/*
 * Menu - a class used to abstract drawing of a simple HTML menu
 */
class Menu {

	private $items = array();

	/*
	 * addItem - add a menu item to the $items list
	 */
	public function addItem($text, $page, $subitems = array()) {
		$this->items[ count($this->items) ] = new MenuItem($text, $page, $subitems);
	}
	
	/*
	 * html - output the menu in HTML using the Table class
	 */
	public function html($currentPage) {
		
		$menuTable = new Table("1000");

		/*
		 * Loop all MenuItem's currently in $items
		 */
		for($i = 0; $i < count($this->items); $i++) {
			/*
			 * If this MenuItem (or any of it's subpages) is equal to $currentPage, set $itemStyle to currentmenuitem
			 */
			if($this->items[$i]->isCurrentPage($currentPage))
				$itemStyle = "currentmenuitem";
			else
				$itemStyle = "menuitem";
			/*
			 * Give each MenuItem a column in $menuTable
			 */
			$menuTable->addColumn(	"<a href=\"index.php?page=" . $this->items[$i]->getPage() . "\">" . $this->items[$i]->getText() . "</a>",
						"150", "40", "center", $itemStyle);

		}
		return $menuTable->html();
	}
}

?>
