<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/*
 * Make sure we are not directly invoked
 */
if(!defined("INDEX"))
	die();

/*
 * MenuItem - a class used to abstract a menu item
 */
class MenuItem {

	private $text;
	private $page;
	private $subpages = array();

	/*
	 * MenuItem - class constructor
	 */
	function MenuItem($text, $page, $subpages = array()) {
		$this->text     = $text;
		$this->page     = $page;
		$this->subpages = $subpages;
	}

	/*
	 * getText - returns this item's text
	 */
	public function getText() {
		return $this->text;
	}
	
	/*
	 * getPage - returns this item's page
	 */
	public function getPage() {
		return $this->page;
	}
	
	/*
	 * isCurrentPage - returns true if $page or any in $subpages is equal to $current
	 */
	public function isCurrentPage($current) {
		return ($this->page == $current || array_search($current, $this->subpages) !== false);
	}
}

?>
