<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/*
 * Define that index.php is loaded.
 * We will check for this in all include/*.php scripts.
 */
define("INDEX", true);

/*
 * Include the required classes
 */
include_once("include/Util.class.php");
include_once("include/Database.class.php");
include_once("include/Menu.class.php");
include_once("include/Output.class.php");

/*
 * Set $page according to $_GET['page'], and filter evil characters out
 */    
if(!isset($_GET['page']))
	$page = "SystemOverviewPage";
else
	$page = Util::makeFileSafe($_GET['page']);

/*
 * Then, create menu items
 */
$menu = new Menu();
$menu->addItem("Systems Overview", "SystemOverviewPage", array("EditSystemPage"));
$menu->addItem("Create New System", "NewSystemPage");
$menu->addItem("Manage Groups", "GroupPage");
$menu->addItem("Manage Users", "UserPage");
$menu->addItem("Manage Operating Systems", "OsPage", array("NewOsPage", "EditOsPage"));
$menu->addItem("Manage Specialities", "SpecialPage");
$menu->addItem("Settings", "SettingsPage");

/*
 * Set the detault HTML header, HTML body (including the menu) and footer
 */
Output::htmlHeader(file_get_contents("html/header.html"));
Output::htmlTop($menu->html($page));
Output::htmlFooter(file_get_contents("html/footer.html"));

/*
 * Attempt to create a database connection, but only if the page isn't the settings page (used to configure MySQL settings)
 */
if($page == "SettingsPage" || Database::connect()) {
	/*
	 * Check if $page exists, and include() it if so. Otherwise error.
	 */
	if(file_exists("pages/" . $page . ".class.php")) {
		include("pages/" . $page . ".class.php");
	} else {
		include("pages/ErrorPage.class.php");
		$page = "ErrorPage";
		$_GET['type'] = "404";
	}
	if(class_exists($page))
		Output::page(new $page());
}

/*
 * Output everything written in Output to the client
 */
Output::flush();

?>
