<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/* Make sure we are not directly invoked */
if(!defined("INDEX"))
	die();

/* Include all required classes */
include_once("include/Page.class.php");
include_once("include/Output.class.php");

 
/**
 * A generic error page.
 * This page shows generic errors, like "Page not found".
 * @see Page
 */
class ErrorPage extends Page {

	/**
	 * Handler for HTTP GET.
	 * This function shows an error on HTTP GET.
	 */
	public function get() {	
		$this->showError();
	}

	/**
	 * Handler for HTTP POST.
	 * This function shows an error on HTTP POST.
	 */
	public function post() {
		$this->showError();
	}

	/**
	 * Show an error.
	 * This function will show generic error messages.
	 */
	public function showError() {
		if(!empty($_GET['type'])) {
			
			if($_GET['type'] == "404")
				Output::htmlError("Sorry, the page you requested does not exist!", "404 Not Found");
		
			else if($_GET['type'] == "403")
				Output::htmlError("Sorry, you do not have authorization to access the requested page!", "403 Not Authorized");
		
			else if($_GET['type'] == "500")
				Output::htmlError("Sorry, an internal server error has occurred!", "500 Internal Server Error");
			
			else
				Output::htmlError("Sorry, an unknown error (" . Util::makeFormSafe($_GET['type']) . ") has occurred!<br><br>" .
					"Please contact your local system administrator.");
		} else
			Output::htmlError("Sorry, an unknown error has occurred!<br><br>Please contact your local system administrator.");
 	}
 
}
?>
