<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/* Make sure we are not directly invoked */
if(!defined("INDEX"))
	die();

/* Include all required classes */
include_once("include/Page.class.php");
include_once("include/GroupList.class.php");

/**
 * A page to administrate groups.
 * This page allows you to create, edit and remove groups.
 * @see DynamicList
 * @see GroupList
 * @see Page
 */
class GroupPage extends Page {

	private $grouplist;

	/**
	 * Class constructor.
	 * The class constructor.
	 */
	public function GroupPage() {
		$this->grouplist = new GroupList();
	}
	
	/**
	 * HTTP GET handler.
	 * This function just shows the current group list from the database.
	 * @see Database
	 * @see DynamicList
	 * @see GroupList
	 */
	public function get() {
		$this->grouplist->fillWithDatabase();
		$this->showGroupList();
	}

	/**
	 * HTTP POST handlers.
	 * This function shows the current grouplist from $_POST.
	 * @see GroupList
	 * @see DynamicList
	 */
	public function post() {
		$this->grouplist->fillWithPost();
		/*
		 * If the user pressed the 'Save' button, commit changes to the database.
		 * If it failed, or the user didn't press the button, show the form again.
		 */
		if(empty($_POST['save']) || (!empty($_POST['save'] ) && !$this->grouplist->save()))
			$this->showGroupList();
		else
			Output::redirect("index.php?page=SystemOverviewPage");
	}
	
	/**
	 * Show the grouplist in a HTML form.
	 * This function outputs the current GroupList in a HTML form.
	 * @see GroupList
	 * @see Table
	 */
	private function showGroupList() {
		/* Now we output the final table */
		Output::htmlBody("<br>\n" 								.
				 "<br>\n" 								.
				 "<form method=\"post\" action=\"index.php?page=GroupPage\">\n"		.
				 $this->grouplist->html()						.
				 "<br>\n"								.
				 "<center>\n"								.
				 "<input type=\"submit\" name=\"save\" value=\"Save Changes\">\n"	.
				 "<br>\n"								.
				 "</center>\n"								.
				 "</form>\n");
	}
}
?>
