<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/* Make sure we are not directly invoked */
if(!defined("INDEX"))
	die();

/* Include all required classes */
include_once("include/Page.class.php");
include_once("include/OS.class.php");
include_once("include/Field.class.php");

/**
 * A page to create new operating systems.
 * This page allows you to create new operating systems.
 * @see Page
 * @see OS
 * @see VersionList
 */
class NewOsPage extends Page {

	private $os;

	/**
	 * Class constructor.
	 * The class constructor.
	 * @see Page
	 * @see OS
	 * @see VersionList
	 */
	public function NewOsPage() {
		$this->os = new OS(null);
		$this->os->fillWithPost();
		
		if(!empty($_GET['name']))
			$this->os->getField("name")->setValue($_GET['name']);
	}
	
	/**
	 * HTTP GET handler.
	 * This function just shows the create os form
	 * @see Page
	 * @see OS
	 * @see VersionList
	 */
	public function get() {
		$this->showOs();
	}

	/**
	 * HTTP POST handlers.
	 * This function shows the current os from $_POST, and allows the user to create the os.
	 * @see Page
	 * @see OS
	 * @see VersionList
	 */
	public function post() {
		/* Did the user press the 'Create OS' button? */
		if(!empty($_POST['create'])) {
			/* Attempt to create the OS */
			if($this->os->save(false)) {
				Output::redirect("index.php?page=OsPage");
				return;
			}
		}
		/* Per default show the create OS form again */
		$this->showOS();
	}
	
	/**
	 * Show the current OS.
	 * This function outputs the current OS in a HTML form.
	 * @see Page
	 * @see OS
	 * @see VersionList
	 */
	private function showOS() {
		/* Now we output the final table */
		Output::htmlBody("<br>\n" 										.
				 "<br>\n" 										.
				 "<form method=\"post\" action=\"index.php?page=NewOsPage&amp;name="			. 
				 	Util::makeFormSafe($this->os->getField("name")->getValue()) . "\">\n"		.
				 $this->os->html()									.
				 "<br>\n"										.
				 "<center>\n"										.
				 "<input type=\"submit\" name=\"create\" value=\"Create Operating System\">\n"		.
				 "<br>\n"										.
				 "</center>\n"										.
				 "</form>\n");
	}
}
?>
