<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/* Make sure we are not directly invoked */
if(!defined("INDEX"))
	die();

/* Include all required classes */
include_once("include/Page.class.php");
include_once("include/System.class.php");
include_once("include/Output.class.php");

/**
 * A page to create new systems.
 * With this class users can create new systems.
 * @see Page
 * @see System
 */
class NewSystemPage extends Page {

	private $system;

	/**
	 * Class constructor.
	 * The class constructor for the NewSystemPage class.
	 * @see System
	 */
	public function NewSystemPage() {
		$this->system = new System(0);
		$this->system->fillWithPost();
	}

	/**
	 * Handler for HTTP GET.
	 * This function just shows the system.
	 * @see System
	 */
	public function get() {	
		$this->showSystem();
	}

	/**
	 * Handler for HTTP POST.
	 * This function is used to edit and save the system.
	 * @see System
	 */
	public function post() {
		/* Did the user press the 'Create System' button? */
		if(!empty($_POST['create'])) {
			/* Attempt to create the system */
			if($this->system->save(false)) {
				Output::redirect("index.php?page=SystemOverviewPage");
				return;
			}
		}
		/* Per default show the form again */
		$this->showSystem();
	}

	/**
	 * Show the system in a HTML form.
	 * Shows the current system, filled in with $_POST data.
	 * @param system The system which is being created.
	 * @see System
	 */
	private function showSystem() {

		Output::htmlBody("<form method=\"post\" action=\"index.php?page=NewSystemPage\">\n"							.
				 "<br>\n"														.
				 "<br>\n"														.
				 $this->system->html()													.
				 "<br>\n"														.
				 "<center>\n"														.
				 "<input type=\"submit\" name=\"create\" value=\"Create System\">\n"							.
				 "</center>\n"														.
				 "</form>\n"														.
				 "<br>\n"														.
				 "<br>\n");
	}
}
?>
