<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/* Make sure we are not directly invoked */
if(!defined("INDEX"))
	die();

/* Include all required classes */
include_once("include/Page.class.php");
include_once("include/SpecialList.class.php");

/**
 * A page to administrate specialities.
 * This page allows you to create, edit and remove specialities.
 * @see DynamicList
 * @see SpecialList
 * @see Page
 */
class SpecialPage extends Page {

	private $speciallist;

	/**
	 * Class constructor.
	 * The class constructor.
	 */
	public function SpecialPage() {
		$this->speciallist = new specialList();
	}
	
	/**
	 * HTTP GET handler.
	 * This function just shows the current special list from the database.
	 * @see Database
	 * @see DynamicList
	 * @see specialList
	 */
	public function get() {
		$this->speciallist->fillWithDatabase();
		$this->showspecialList();
	}

	/**
	 * HTTP POST handlers.
	 * This function shows the current speciallist from $_POST.
	 * @see specialList
	 * @see DynamicList
	 */
	public function post() {
		$this->speciallist->fillWithPost();
		/*
		 * If the special pressed the 'Save' button, commit changes to the database.
		 * If it failed, or the user didn't press the button, show the form again.
		 */
		if(empty($_POST['save']) || (!empty($_POST['save'] ) && !$this->speciallist->save()))
			$this->showspecialList();
		else
			Output::redirect("index.php?page=SystemOverviewPage");
	}
	
	/**
	 * Show the speciallist in a HTML form.
	 * This function outputs the current specialList in a HTML form.
	 * @see specialList
	 * @see Table
	 */
	private function showspecialList() {
		/* Now we output the final table */
		Output::htmlBody("<br>\n" 								.
				 "<br>\n" 								.
				 "<form method=\"post\" action=\"index.php?page=SpecialPage\">\n"		.
				 $this->speciallist->html()							.
				 "<br>\n"								.
				 "<center>\n"								.
				 "<input type=\"submit\" name=\"save\" value=\"Save Changes\">\n"	.
				 "<br>\n"								.
				 "</center>\n"								.
				 "</form>\n");
	}
}
?>
