<?php
/*
 * Copyright (C) 2007 Niek Linnenbank <niek.linnenbank@planet.nl>
 */

/* Make sure we are not directly invoked */
if(!defined("INDEX"))
	die();

/* Include all required classes */
include_once("include/Page.class.php");
include_once("include/UserList.class.php");

/**
 * A page to administrate users.
 * This page allows you to create, edit and remove users.
 * @see DynamicList
 * @see UserList
 * @see Page
 */
class UserPage extends Page {

	private $userlist;

	/**
	 * Class constructor.
	 * The class constructor.
	 */
	public function UserPage() {
		$this->userlist = new UserList();
	}
	
	/**
	 * HTTP GET handler.
	 * This function just shows the current user list from the database.
	 * @see Database
	 * @see DynamicList
	 * @see UserList
	 */
	public function get() {
		$this->userlist->fillWithDatabase();
		$this->showUserList();
	}

	/**
	 * HTTP POST handlers.
	 * This function shows the current userlist from $_POST.
	 * @see UserList
	 * @see DynamicList
	 */
	public function post() {
		$this->userlist->fillWithPost();
		/*
		 * If the user pressed the 'Save' button, commit changes to the database.
		 * If it failed, or the user didn't press the button, show the form again.
		 */
		if(empty($_POST['save']) || (!empty($_POST['save'] ) && !$this->userlist->save()))
			$this->showUserList();
		else
			Output::redirect("index.php?page=SystemOverviewPage");
	}
	
	/**
	 * Show the userlist in a HTML form.
	 * This function outputs the current UserList in a HTML form.
	 * @see UserList
	 * @see Table
	 */
	private function showUserList() {
		/* Now we output the final table */
		Output::htmlBody("<br>\n" 								.
				 "<br>\n" 								.
				 "<form method=\"post\" action=\"index.php?page=UserPage\">\n"		.
				 $this->userlist->html()						.
				 "<br>\n"								.
				 "<center>\n"								.
				 "<input type=\"submit\" name=\"save\" value=\"Save Changes\">\n"	.
				 "<br>\n"								.
				 "</center>\n"								.
				 "</form>\n");
	}
}
?>
